package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 滞销预警信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnZxyjStorestaleproductsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnZxyjStorestaleproducts(PageData pd)throws Exception {
        return daoSupport.update("SKcKnZxyjStorestaleproductsMapper.addSKcKnZxyjStorestaleproducts", pd);
    }

    public List<PageData> findSKcKnZxyjStorestaleproductsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnZxyjStorestaleproductsMapper.selectSKcKnZxyjStorestaleproductsList", pd);
    }

    public Integer SKcKnZxyjStorestaleproductsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnZxyjStorestaleproductsMapper.SKcKnZxyjStorestaleproductsRemove", pd);
    }


    public Integer updateSKcKnZxyjStorestaleproducts(PageData pd)throws Exception {
        return daoSupport.update("SKcKnZxyjStorestaleproductsMapper.updateSKcKnZxyjStorestaleproducts", pd);
    }

}
